Subject: Re: bug#9839: compile with gdb running

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Oct 2011 08:49:08 -0400

> A comment about the change in question is given in

> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4437#30

>     This allows the I/O buffer to work when the inferior is restarted
>     but means that status_notify isn't called from
>     wait_reading_process_output because this call is conditioned on
>     select which returns a positive value (presumably because the pty's
>     file descriptor hasn't been cleared). Reverting it means processes
>     aren't left lying around but that leaves the original problem.

I don't understand what "allows the I/O buffer to work when the inferior
is restarted" means.

        Stefan